osd: XOsd_Config Struct Reference

| osd Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOsd_Config Struct Reference
Osd_v4_0

OSD core configuration structure. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the core. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the OSD core registers. More...
u16 | LayerNum
| The number of Layers. More...
u16 | SlaveAxisVideoDataWidth
| Slave Axis Video Data Width. More...
u16 | Layer0Type
| Type of Layer #0. More...
u16 | Layer1Type
| Type of Layer #1. More...
u16 | Layer2Type
| Type of Layer #2. More...
u16 | Layer3Type
| Type of Layer #3. More...
u16 | Layer4Type
| Type of Layer #4. More...
u16 | Layer5Type
| Type of Layer #5. More...
u16 | Layer6Type
| Type of Layer #6. More...
u16 | Layer7Type
| Type of Layer #7. More...
u16 | Layer0InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer0InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer0InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer0InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer0ColorLutSize
| Color Look Up Table (LUT) Size. More...
u16 | Layer0ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer0FontNumChars
| Font: Number of characters. More...
u16 | Layer0FontWidth
| Font: Width. More...
u16 | Layer0FontHeight
| Font: Height. More...
u16 | Layer0FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer0FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer0TextNumStrings
| Text: Number of Strings. More...
u16 | Layer0TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer1InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer1InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer1InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer1InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer1ColorLutSize
| Color LUT Size. More...
u16 | Layer1ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer1FontNumChars
| Font: Number of characters. More...
u16 | Layer1FontWidth
| Font: Width. More...
u16 | Layer1FontHeight
| Font: Height. More...
u16 | Layer1FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer1FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer1TextNumStrings
| Text: Number of Strings. More...
u16 | Layer1TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer2InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer2InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer2InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer2InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer2ColorLutSize
| Color LUT Size. More...
u16 | Layer2ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer2FontNumChars
| Font: Number of characters. More...
u16 | Layer2FontWidth
| Font: Width. More...
u16 | Layer2FontHeight
| Font: Height. More...
u16 | Layer2FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer2FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer2TextNumStrings
| Text: Number of Strings. More...
u16 | Layer2TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer3InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer3InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer3InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer3InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer3ColorLutSize
| Color LUT Size. More...
u16 | Layer3ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer3FontNumChars
| Font: Number of characters. More...
u16 | Layer3FontWidth
| Font: Width. More...
u16 | Layer3FontHeight
| Font: Height. More...
u16 | Layer3FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer3FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer3TextNumStrings
| Text: Number of Strings. More...
u16 | Layer3TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer4InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer4InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer4InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer4InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer4ColorLutSize
| Color LUT Size. More...
u16 | Layer4ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer4FontNumChars
| Font: Number of characters. More...
u16 | Layer4FontWidth
| Font: Width. More...
u16 | Layer4FontHeight
| Font: Height. More...
u16 | Layer4FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer4FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer4TextNumStrings
| Text: Number of Strings. More...
u16 | Layer4TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer5InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer5InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer5InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer5InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer5ColorLutSize
| Color LUT Size. More...
u16 | Layer5ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer5FontNumChars
| Font: Number of characters. More...
u16 | Layer5FontWidth
| Font: Width. More...
u16 | Layer5FontHeight
| Font: Height. More...
u16 | Layer5FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer5FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer5TextNumStrings
| Text: Number of Strings. More...
u16 | Layer5TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer6InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer6InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer6InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer6InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer6ColorLutSize
| Color LUT Size. More...
u16 | Layer6ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer6FontNumChars
| Font: Number of characters. More...
u16 | Layer6FontWidth
| Font: Width. More...
u16 | Layer6FontHeight
| Font: Height. More...
u16 | Layer6FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer6FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer6TextNumStrings
| Text: Number of Strings. More...
u16 | Layer6TextMaxStringLength
| Text: Maximum length of a String. More...
u16 | Layer7InstructionMemSize
| Instruction Memory Size. More...
u16 | Layer7InstructionBoxEnable
| Instruction Box Enable. More...
u16 | Layer7InstructionLineEnable
| Instruction Line Enable. More...
u16 | Layer7InstructionTextEnable
| Instruction Text Enable. More...
u16 | Layer7ColorLutSize
| Color LUT Size. More...
u16 | Layer7ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | Layer7FontNumChars
| Font: Number of characters. More...
u16 | Layer7FontWidth
| Font: Width. More...
u16 | Layer7FontHeight
| Font: Height. More...
u16 | Layer7FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | Layer7FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | Layer7TextNumStrings
| Text: Number of Strings. More...
u16 | Layer7TextMaxStringLength
| Text: Maximum length of a String. More...

## Detailed Description

OSD core configuration structure.

Each OSD core should have a configuration structure associated.

## Field Documentation

u32 XOsd_Config::BaseAddress

BaseAddress is the physical base address of the OSD core registers.

Referenced by XOsd_CfgInitialize(), XOsd_DisableLayer(), XOsd_EnableLayer(), XOsd_GetActiveSize(), XOsd_GetBackgroundColor(), XOsd_GetLayerAlpha(), XOsd_GetLayerDimension(), XOsd_GetLayerPriority(), XOsd_GetVersion(), XOsd_LoadCharacterSetBank(), XOsd_LoadColorLUTBank(), XOsd_LoadInstructionList(), XOsd_LoadTextBank(), XOsd_SelfTest(), XOsd_SetActiveBank(), XOsd_SetActiveSize(), XOsd_SetBackgroundColor(), XOsd_SetLayerAlpha(), XOsd_SetLayerDimension(), XOsd_SetLayerPriority(), and XOsdSelfTestExample().

u16 XOsd_Config::DeviceId

DeviceId is the unique ID of the core.

u16 XOsd_Config::Layer0ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer0ColorLutSize

Color Look Up Table (LUT) Size.

u16 XOsd_Config::Layer0FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer0FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer0FontHeight

Font: Height.

u16 XOsd_Config::Layer0FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer0FontWidth

Font: Width.

u16 XOsd_Config::Layer0InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer0InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer0InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer0InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer0TextMaxStringLength

Text: Maximum length of a String.

Layer 1

u16 XOsd_Config::Layer0TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer0Type

Type of Layer #0.

u16 XOsd_Config::Layer1ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer1ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer1FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer1FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer1FontHeight

Font: Height.

u16 XOsd_Config::Layer1FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer1FontWidth

Font: Width.

u16 XOsd_Config::Layer1InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer1InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer1InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer1InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer1TextMaxStringLength

Text: Maximum length of a String.

Layer 2

u16 XOsd_Config::Layer1TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer1Type

Type of Layer #1.

u16 XOsd_Config::Layer2ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer2ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer2FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer2FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer2FontHeight

Font: Height.

u16 XOsd_Config::Layer2FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer2FontWidth

Font: Width.

u16 XOsd_Config::Layer2InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer2InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer2InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer2InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer2TextMaxStringLength

Text: Maximum length of a String.

Layer 3

u16 XOsd_Config::Layer2TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer2Type

Type of Layer #2.

u16 XOsd_Config::Layer3ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer3ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer3FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer3FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer3FontHeight

Font: Height.

u16 XOsd_Config::Layer3FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer3FontWidth

Font: Width.

u16 XOsd_Config::Layer3InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer3InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer3InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer3InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer3TextMaxStringLength

Text: Maximum length of a String.

Layer 4

u16 XOsd_Config::Layer3TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer3Type

Type of Layer #3.

u16 XOsd_Config::Layer4ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer4ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer4FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer4FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer4FontHeight

Font: Height.

u16 XOsd_Config::Layer4FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer4FontWidth

Font: Width.

u16 XOsd_Config::Layer4InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer4InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer4InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer4InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer4TextMaxStringLength

Text: Maximum length of a String.

Layer 5

u16 XOsd_Config::Layer4TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer4Type

Type of Layer #4.

u16 XOsd_Config::Layer5ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer5ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer5FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer5FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer5FontHeight

Font: Height.

u16 XOsd_Config::Layer5FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer5FontWidth

Font: Width.

u16 XOsd_Config::Layer5InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer5InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer5InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer5InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer5TextMaxStringLength

Text: Maximum length of a String.

Layer 6

u16 XOsd_Config::Layer5TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer5Type

Type of Layer #5.

u16 XOsd_Config::Layer6ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer6ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer6FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer6FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer6FontHeight

Font: Height.

u16 XOsd_Config::Layer6FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer6FontWidth

Font: Width.

u16 XOsd_Config::Layer6InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer6InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer6InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer6InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer6TextMaxStringLength

Text: Maximum length of a String.

Layer 7

u16 XOsd_Config::Layer6TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer6Type

Type of Layer #6.

u16 XOsd_Config::Layer7ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Config::Layer7ColorLutSize

Color LUT Size.

u16 XOsd_Config::Layer7FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Config::Layer7FontBitsPerPixel

Font: Number of bits per pixel.

u16 XOsd_Config::Layer7FontHeight

Font: Height.

u16 XOsd_Config::Layer7FontNumChars

Font: Number of characters.

u16 XOsd_Config::Layer7FontWidth

Font: Width.

u16 XOsd_Config::Layer7InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Config::Layer7InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Config::Layer7InstructionMemSize

Instruction Memory Size.

u16 XOsd_Config::Layer7InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Config::Layer7TextMaxStringLength

Text: Maximum length of a String.

u16 XOsd_Config::Layer7TextNumStrings

Text: Number of Strings.

u16 XOsd_Config::Layer7Type

Type of Layer #7.

Layer 0

u16 XOsd_Config::LayerNum

The number of Layers.

Referenced by XOsd_CfgInitialize().

u16 XOsd_Config::SlaveAxisVideoDataWidth

Slave Axis Video Data Width.

Referenced by XOsd_LoadColorLUTBank().